﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ImagesUpload.aspx.cs" Inherits="EAFUpload.ImagesUpload" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Upload multiple image files and thumbnails creation.</title>
<link rel="stylesheet" href="style.css" />
<style type="text/css">

#thumbContainer
{
	overflow: auto;
	width: 390px;
	height: 250px;
	border: 1px solid #cccccc;
}

.thumbImage
{
	border: none;
}

.thumbImageCont
{
	float: left;
	width: 120px; 
	border: none;	
	margin-left: 3px;
	margin-bottom: 3px;
	text-align: center;
}

</style>

<script type="text/javascript">
function EAFlashUpload_onMovieLoad(errors)
{		
	if(errors != "")
		alert(errors);	
}

function EAFlashUpload_onFileLoadEnd(fileObj)
{
	var response = EAFlashUpload.urlVarsToObject(fileObj.serverResponse);	
	var uniqueId = (new Date()).getTime();
	addImageToContainer(uniqueId, response.thumbUrl);
}

function EAFlashUpload_onUploadEnd()
{

}

function EAFlashUpload_onSystemError(msg)
{		
	alert(msg);				
}

function EAFlashUpload_onUploadError(errorObj)
{
	alert(errorObj.message);
}

// --- Image displaying --- //
function addImageToContainer(thumbId, thumbUrl)
{
	var imageContainer = document.getElementById("thumbContainer");
	var image = document.getElementById("imageTemplate");	
	image = image.cloneNode(image);
	var divImage = document.getElementById("imageContTemplate");
	divImage = divImage.cloneNode(divImage);
	
	image.setAttribute("id", thumbId);
	image.setAttribute("src", thumbUrl);	
	divImage.setAttribute("id", "div" + thumbId);
	
	divImage.appendChild(image);
	imageContainer.appendChild(divImage);
	
	divImage.style.display = "inline";
	image.style.display = "inline";
	
}

function clearList()
{
	var imageContainer = document.getElementById("thumbContainer");
	imageContainer.innerHTML = "";
}
// --- Image displaying --- //
</script>
</head>
<body>
<p>
This example demonstrates how to upload multiple image files to the server and display thumbnails. The thumbnails are created and loaded from the server.
<br />
The example contains a number of limitiations. Keep in mind that it is limitations of this example, not of EAFlashUpload itself:
	<ul>
		<li>Only image files are allowed for selection;</li>
		<li>Size of each file cannot be greater than 5MB;</li>	
	</ul>
</p>

<div style="border: 1px solid #000000; padding: 10px;">
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<br /><br />
<table>
	<tr>
		<td>
			<div id="EAFlashUpload_holder">
            	You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
			</div>
		</td>
		<td style="padding-left: 40px; vertical-align: top;">
			Thumbnails container:<br />
			<div id="thumbContainer"></div>
			<a href="javascript:clearList();">Clear list</a>
			<!-- image placeholder template -->
			<div class="thumbImageCont" style="display:none;" id="imageContTemplate"></div>						
			<img class="thumbImage" style="display:none;" id="imageTemplate" src="" />
			<!-- image placeholder template -->
		</td>
	</tr>
</table>

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
	var params = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	// id and name attribute may contain any value. 
	// You need to use specified below identifier to access to the EAFlashUpload methods and properties.
	var attributes = {  
		id: "EAFlashUpload",  
		name: "EAFlashUpload"								
	};
	
	var flashvars = new Object();

	// In IE and non-IE browsers Flash resolve relative path differently if page with EAFlashUpload is placed in a different directory than swf files. 
	// If you place EAFlashUpload files and container page in the same directory then the problem doesn't appear.
	// Below code detects non-IE browsers and changes url of upload script.
	var uploadUrl = "ImagesUpload.aspx"; //Note: & symbol should be encoded to %26 for query string values. Ex: http://www.somesite.com/uploader.aspx?field1=value1%26field2=value2
	if (!document.all) {
	    uploadUrl = "../" + uploadUrl;
	}
	flashvars["uploader.uploadUrl"] = uploadUrl;
	flashvars["viewFile"] = "EAFUpload/TableView.swf";
	flashvars["queue.allowedExtensions"] = "Images (*.jpg, *.gif, *.png):*.jpg;*.gif;*.png"; 
	flashvars["queue.fileSizeLimit"] = 5242880; // 5 MB

	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "EAFlashUpload_holder", "450", "350", "10.0.0", "EAFUpload/expressInstall.swf", flashvars, params, attributes);	
</script>
		
<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=ImagesUpload">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="default.aspx">Other examples</a>
</body>
</html>

