﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UploadToAmazon.aspx.cs" Inherits="EAFUpload.UploadToAmazon" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Multiple files upload to Amazon S3 service.</title>
    <link rel="stylesheet" href="style.css" />
</head>
<body>
<p>
This example demonstrates how to upload multiple files to the Amazon S3 service.
</p>
<div style="border: 1px solid #000000; padding: 10px;">
<b>Before running this examples</b> please fill all nessesary data related to your Amazon S3 account at the <i>UploadToAmazon.aspx.cs</i> file.<br />
Also you should place <b>crossdomain.xml</b> file to root folder of your bucket.
<br /><br />
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<form name="form1">
      <input type="hidden" name="AWSAccessKeyId" value="<%=AwsAccessKey%>" />
      <input type="hidden" name="signature" value="<%=sigPolicyDoc%>" />
      <input type="hidden" name="policy" value="<%=policyDoc64%>" />

      <!-- UPLOAD DESC FIELDS -->
      <input type="hidden" name="acl" value="<%=acl%>">
	  <input type="hidden" name="success_action_status" value="<%=successActionStatus%>"/>

      <!-- CUSTOM META FIELDS -->
</form>

<br /><br />

<div id="EAFlashUpload_holder">
You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
<br />
<a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
</div>

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
    var params = {
        BGcolor: "#ffffff",
        wmode: "window"
    };
    var attributes = {
        id: "EAFlashUpload",
        name: "EAFlashUpload"
    };

    var flashvars = new Object();

    flashvars["uploader.uploadUrl"] = "http://<%=bucket%>.s3.amazonaws.com/";
    flashvars["viewFile"] = "EAFUpload/TableView.swf";
    flashvars["uploader.formToSend"] = "form1";

    // We need to get rid of unnecessary form fields
    // otherwise they should be described in the policy.
    flashvars['uploader.sendFileAttributes'] = false;
    flashvars['uploader.queueDataInLastRequest'] = false;
    flashvars['uploader.retrieveBrowserCookie'] = false;
    
    flashvars['uploader.successHttpStatusCodes'] = "200|201";
    flashvars['queue.fileFormFieldName'] = 'file';

    // redirects user after successful upload
    flashvars["uploader.redirectUrl"] = "SuccessRedirectPage.aspx";
    flashvars["uploader.redirectTarget"] = "_self";
    flashvars["uploader.redirectMethod"] = "POST";

    swfobject.embedSWF("EAFUpload/EAFUpload.swf", "EAFlashUpload_holder", "450", "350", "10.0.0", "EAFUpload/expressInstall.swf", flashvars, params, attributes);

    function EAFlashUpload_onUploadStart() {

        var files = EAFlashUpload.getFiles();
        var propertyObject = new Object();

        // Below we define a new form field for each file.
        // You can use this code to specify a name of the file which will be used for stroing file on the Amazon S3.
        for (var index in files) {
            propertyObject.name = "key";
            propertyObject.value = "<%=folder %>" + files[index].name;
            propertyObject.isPublic = false;
            propertyObject.fileId = files[index].id;
            propertyObject.strongName = true;

            EAFlashUpload.setCustomProperty(propertyObject);
        }
    }

    function EAFlashUpload_onFileLoadEnd(fileObj) 
    {
        var propertyObject = new Object();
        propertyObject.name = "downloadLink";

        if(fileObj.serverResponse != "")
        {
            var downloadLink = "";
            // retrieve a file location on the Amazon S3 server.
            downloadLink = fileObj.serverResponse.match(/<Location>(.*?)<\/Location>/g);
            downloadLink = downloadLink[0].replace(/<Location>|<\/Location>/g, "");

            propertyObject.value = downloadLink;
        }
        else
            propertyObject.value = "";
        
        propertyObject.isPublic = false;
        propertyObject.fileId = fileObj.id;
        propertyObject.strongName = true;

        EAFlashUpload.setCustomProperty(propertyObject);
    }
</script>

<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=UploadToAmazon">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="default.aspx">Other examples</a>				

</body>
</html>
