<?PHP
if(isset($_SERVER['REQUEST_METHOD']) && strtolower($_SERVER['REQUEST_METHOD']) == 'post' && !empty($_POST))
{	
	//restore session code begin. if you don't use session or cookie just ignor below code section.
	if( isset($_POST['browser_cookie']) && $_POST['browser_cookie'] != "")
	{
		//retrive cookie from form field value. The EAFlashUpload sends the cookie as a value of form field due to Flash API limitations.
		$cookie = split(";", $_POST['browser_cookie']);
		
		foreach($cookie as $value)
		{
			$nvpair = split("=", $value);	
			$parsedcookie[trim($nvpair[0])] = $nvpair[1];
		}
		$_COOKIE = $parsedcookie;
		
		session_start();	
	}
	//restore session code end
	
	//!!! If you don't use session then delete above code. !!!//
	
	
	/*
	the example use GD library. It may not be installed by default, if so
	uncomment below line in the php.ini file:
	extension=php_gd2.dll
	and add the following line
	--with-gd
	*/
	
	//check file existence in the request
	if ( !empty($_FILES) )
	{
	
		//existing folder on the server for images storing with write access
		$uploaddir = dirname($_SERVER['SCRIPT_FILENAME'])."/UploadedFiles/";
		//existing folder on the server for thumbnails storing with write access
		$thumbdir = dirname($_SERVER['SCRIPT_FILENAME'])."/UploadedFiles/";
		// define encoding for path names
		$codepage = "ISO-8859-1";
		
		//preferable size of the thumbnail
		$thumbWidth = 120;
		$thumbHeight = 120;
	
		$file = $_FILES["Filedata"];
		
		//check on upload errors
		if ( $file['error'] != UPLOAD_ERR_OK )
		{
			switch( $file['error'] )
			{
				case UPLOAD_ERR_INI_SIZE:
					echo "<eaferror>The uploaded file exceeds the upload_max_filesize directive in php.ini.</eaferror>";
					break;
				case UPLOAD_ERR_FORM_SIZE:
					echo "<eaferror>Uploader didn't allow such file size</eaferror>";
					break;
				case UPLOAD_ERR_PARTIAL:
					echo "<eaferror>Uploaded file hasn't been complete uploaded</eaferror>";
					break;
				case UPLOAD_ERR_NO_FILE:
					echo "<eaferror>File hasn't been uploaded</eaferror>";
					break;
			}
			
			return;
		}
		
		//Use this code if the existing files might be rewritten.
		//$uploadfile = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
	
		//define a full file path
		if (extension_loaded('mbstring'))
			$fileName = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
		else if (extension_loaded('iconv'))
			$fileName = $uploaddir . iconv("UTF-8", $codepage, basename($file['name']));
		else
		{
			echo "<eaferror>Please enable mbstring extension or iconv extension in your php.ini file.</eaferror>";	
		}
		
		// check on duplicate file names and if there is a file with the same name add "_(<counter>)" at the end of the name of the new file
		$uniqueFileName = $fileName;
		for($k = 1; $k < 50; $k++)
		{
			if(!file_exists($uniqueFileName))
			{
				break;
			}
			else
			{
				$pathInfo = pathinfo($fileName);
				$uniqueFileName = sprintf("%s/%s_(%s).%s", $pathInfo['dirname'], $pathInfo['filename'], $k, $pathInfo['extension']);
			}
	
		}
		
		//move uploaded file from temp location		
		if ( move_uploaded_file( $file['tmp_name'], $uniqueFileName ) )
		{
			//define an extension
			$ext = substr($uniqueFileName, strrpos($uniqueFileName,".") + 1 );
			//open file
			$image;
			if( strcasecmp($ext, "jpeg") == 0 || strcasecmp($ext, "jpg") == 0 )
			{
				$image = imagecreatefromjpeg( $uniqueFileName );
			}
			elseif( strcasecmp($ext, "png") == 0 )
			{
				$image = imagecreatefrompng( $uniqueFileName );
			}
			elseif( strcasecmp($ext, "gif") == 0 )
			{
				$image = imagecreatefromgif( $uniqueFileName );
			}
			else
			{
				echo "<eaferror>This type of file doesn't supported</eaferror>";
				return;
			}
			//scale operation 
			$thumbRatio = $thumbWidth/$thumbHeight;
			$imageWidth = imagesx( $image );
			$imageHeight = imagesy( $image );
			$imageRatio = $imageWidth/$imageHeight;
			if ( $thumbRatio < $imageRatio )
				$thumbHeight = $thumbWidth/$imageRatio;
			else
				$thumbWidth = $thumbHeight*$imageRatio;
			$thumbimage = imagecreatetruecolor((int)$thumbWidth, (int)$thumbHeight);
			
			// Resize
			if(!@imagecopyresampled($thumbimage, $image, 0, 0, 0, 0, $thumbWidth, $thumbHeight, $imageWidth, $imageHeight))
			{
				echo "<eaferror>Can't create a thumbnail.</eaferror>";
				return;
			}
			
			//save thumbnail
			$thumbpath = "";
			if( strcasecmp($ext, "jpeg") == 0 )
			{
				$thumbpath = $thumbdir.basename($uniqueFileName, ".jpeg");
			}
			elseif ( strcasecmp($ext, "jpg") == 0 )
			{
				$thumbpath = $thumbdir.basename($uniqueFileName, ".jpg");
			}
			elseif( strcasecmp($ext, "png") == 0 )
			{
				$thumbpath = $thumbdir.basename($uniqueFileName, ".png");
			}
			elseif( strcasecmp($ext, "gif") == 0 )
			{
				$thumbpath = $thumbdir.basename($uniqueFileName, ".gif");
			}
			
			$thumbpath = $thumbpath . "_thumb.gif";			
			imagegif( $thumbimage, $thumbpath);			
			
			echo "thumbUrl=" . dirname($_SERVER['PHP_SELF']) . "/UploadedFiles/" . basename($thumbpath);
		}
		else
		{
			echo "<eaferror>Can't move file from temporary directory to destination. Please check read/write permissions of destination folder: $uploaddir.</eaferror>";
		}
		
	}
	else
	{
		echo "<eaferror>Request didn't contain the file. Usually this situation occures if request size exceeds the post_max_size directive in php.ini.</eaferror>";
	}
	
	exit;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Upload multiple image files and thumbnails creation.</title>
<link rel="stylesheet" href="style.css" />
<style type="text/css">

#thumbContainer
{
	overflow: auto;
	width: 390px;
	height: 250px;
	border: 1px solid #cccccc;
}

.thumbImage
{
	border: none;
}

.thumbImageCont
{
	float: left;
	width: 120px; 
	border: none;	
	margin-left: 3px;
	margin-bottom: 3px;
	text-align: center;
}

</style>

<script type="text/javascript">
function EAFlashUpload_onMovieLoad(errors)
{		
	if(errors != "")
		alert(errors);	
}

function EAFlashUpload_onFileLoadEnd(fileObj)
{
	var response = EAFlashUpload.urlVarsToObject(fileObj.serverResponse);	
	var uniqueId = (new Date()).getTime();
	addImageToContainer(uniqueId, response.thumbUrl);
}

function EAFlashUpload_onUploadEnd()
{

}

function EAFlashUpload_onSystemError(msg)
{		
	alert(msg);				
}

function EAFlashUpload_onUploadError(errorObj)
{
	alert(errorObj.message);
}

// --- Image displaying --- //
function addImageToContainer(thumbId, thumbUrl)
{
	var imageContainer = document.getElementById("thumbContainer");
	var image = document.getElementById("imageTemplate");	
	image = image.cloneNode(image);
	var divImage = document.getElementById("imageContTemplate");
	divImage = divImage.cloneNode(divImage);
	
	image.setAttribute("id", thumbId);
	image.setAttribute("src", thumbUrl);	
	divImage.setAttribute("id", "div" + thumbId);
	
	divImage.appendChild(image);
	imageContainer.appendChild(divImage);
	
	divImage.style.display = "inline";
	image.style.display = "inline";
	
}

function clearList()
{
	var imageContainer = document.getElementById("thumbContainer");
	imageContainer.innerHTML = "";
}
// --- Image displaying --- //
</script>
</head>
<body>
<p>
This example demonstrates how to upload multiple image files to the server and display thumbnails. The thumbnails are created and loaded from the server.
<br />
The example contains a number of limitiations. Keep in mind that it is limitations of this example, not of EAFlashUpload itself:
	<ul>
		<li>Only image files are allowed for selection;</li>
		<li>Size of each file cannot be greater than 5MB;</li>	
	</ul>
</p>

<div style="border: 1px solid #000000; padding: 10px;">
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<br /><br />
<table>
	<tr>
		<td>
			<div id="EAFlashUpload_holder">
            	You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
			</div>
		</td>
		<td style="padding-left: 40px; vertical-align: top;">
			Thumbnails container:<br />
			<div id="thumbContainer"></div>
			<a href="javascript:clearList();">Clear list</a>
			<!-- image placeholder template -->
			<div class="thumbImageCont" style="display:none;" id="imageContTemplate"></div>						
			<img class="thumbImage" style="display:none;" id="imageTemplate" src="" />
			<!-- image placeholder template -->
		</td>
	</tr>
</table>

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
	var params = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	// id and name attribute may contain any value. 
	// You need to use specified below identifier to access to the EAFlashUpload methods and properties.
	var attributes = {  
		id: "EAFlashUpload",  
		name: "EAFlashUpload"								
	};
	
	var flashvars = new Object();

	// In IE and non-IE browsers Flash resolve relative path differently if page with EAFlashUpload is placed in a different directory than swf files. 
	// If you place EAFlashUpload files and container page in the same directory then the problem doesn't appear.
	// Below code detects non-IE browsers and changes url of upload script.
	var uploadUrl = "imagesupload.php"; //Note: & symbol should be encoded to %26 for query string values. Ex: http://www.somesite.com/uploader.aspx?field1=value1%26field2=value2
	if (!document.all) {
	    uploadUrl = "../" + uploadUrl;
	}
	flashvars["uploader.uploadUrl"] = uploadUrl;
	flashvars["viewFile"] = "EAFUpload/TableView.swf";
	flashvars["queue.allowedExtensions"] = "Images (*.jpg, *.gif, *.png):*.jpg;*.gif;*.png"; 
	flashvars["queue.fileSizeLimit"] = 5242880; // 5 MB

	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "EAFlashUpload_holder", "450", "350", "10.0.0", "EAFUpload/expressInstall.swf", flashvars, params, attributes);	
</script>
		
<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=ImagesUploadPHP">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="index.php">Other examples</a>
</body>
</html>