<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>EAFlashUpload examples package</title>
		<link rel="stylesheet" href="style.css" />       
	</head>
	<body>
			<h3>EAFlashUpload v 2.6 examples.</h3>
			<p>This package includes various examples which demonstrate how to use <b>EAFlashUpload</b>
				component to upload multiple files to the web server.
                
                <div style="border: 1px solid #000000; padding: 10px;">
                    <b>Before running this example</b>: 
                    <br /><br />
                    Make sure that <b>"UploadFolder"</b> has <b>read/write</b> permission.
                    <br /><br />
                   	Also here is a list of important php.ini parameters related to file upload process:
                    <ul>
                    	<li><b>file_uploads</b> - boolean (Default value is true). Whether or not to allow HTTP file uploads.</li>
                        <li><b>upload_tmp_dir</b> - string. The temporary directory used for storing files when doing file upload. Must be writable by whatever user PHP is running as. If not specified PHP will use the system's default.</li>
                        <li><b>upload_max_filesize</b> - integer (Default value is 2M (2 MB)). The maximum size of an uploaded file. When an integer is used, the value is measured in bytes.</li>
                        <li><b>max_input_time</b> - integer. This sets the maximum time in seconds a script is allowed to parse input data, like POST, GET and file uploads.</li>
                        <li><b>post_max_size integer</b> - (Default value is 8M (8 MB)). Sets max size of post data allowed. This setting also affects file upload. To upload large files, this value must be larger than upload_max_filesize. If memory limit is enabled by your configure script, memory_limit also affects file uploading. Generally speaking, memory_limit should be larger than post_max_size. When an integer is used, the value is measured in bytes.</li>
                        <li><b>memory_limit</b> - integer. This sets the maximum amount of memory in bytes that a script is allowed to allocate.</li>
                    </ul>
                    <br />
                    <b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
                </div>             
            </p>
			
			<h3>Basic examples:</h3>
            <table class="DefaultTable">
				<tr>
					<td><a href="simpleupload.php">Simple upload</a></td>
					<td>
						Demonstrates how to upload multiple files to the web server.
					</td>
				</tr>
                <tr>
					<td><a href="uploadtoamazon.php">UploadToAmazon</a></td>
					<td>
						Demonstrates how to upload multiple files to the <b>Amazon S3</b> service.
					</td>
				</tr>
                <tr>
					<td><a href="uploaddescription.php">Add files description and parse form values</a></td>
					<td>Demonstrates how to add and send specific description for eash file.</td>
				</tr>
                <tr>
					<td><a href="uploadwithcustomcolumns.php">Create a custom view for files list.</a></td>
					<td>Demonstrates how to add custom columns to the files list and include custom form elements(checkbox, radio button) to cells.</td>
				</tr>
				<tr>
					<td><a href="collapsiblepanel.php">Uploader inside collapsible panel</a></td>
					<td>
						Demonstrates how to place EAFlashUpload into collapsible panel.
					</td>
				</tr>				
				<tr>
					<td><a href="switchamongview.php">Change properties at the runtime</a></td>
					<td>
						Displays available user interfaces. Demonstrates how to change properties of EAFlashUpload at the runtime.
					</td>
				</tr>								
			</table>
			
			<br />
			<hr />
            <h3>
                <a target="_blank" href="http://www.easyalgo.com/examples/gui/chooseview.aspx" >Online customization tool</a> - 
                Online tool for creating advanced GUI style.
            </h3>
            <hr />
            <br />
           	
            <h3>Images processing examples:</h3> 
            <table class="DefaultTable">
                <tr>
                        <td><a href="imagesupload.php">Upload multiple images and thumbnails creation</a></td>
                        <td>Demonstrates how to upload multiple images to the web server. Generate and display thumbnails of uploaded images.</td>
                </tr>
                <tr>
                        <td><a href="simpleimagegallery.php">Simplest image gallery example</a></td>
                        <td>Demonstrates how to upload multiple image files to the server and organize them as simple gallery.</td>
                </tr>
                <tr>
                        <td><a href="imagesuploadwithpreview.php">Multiple images upload with preview them on client-side.</a></td>
                        <td>Demonstrates how to upload multiple images to the web server. The preview thumnails are generated for each image.</td>
                </tr>
                <tr>
                        <td><a href="resizedimagesupload.php">Upload multiple images with resizing on the client-side</a></td>
                        <td>Demonstrates how to resize multiple images on the client-side and uploading them to the server.</td>
                </tr>
            </table>
            
            <br />
			<p style="font-weight:bold;">
                If you have some implementation complexity of this examples or you have a question regarding functionality of the EAFlashUpload, please do not hesitate to contact us by <a href="mailto:support@easyalgo.com">support@easyalgo.com</a>.<br /> 
                We are always ready to help.
            </p>
		
	</body>
</html>
