<?PHP
if(isset($_SERVER['REQUEST_METHOD']) && strtolower($_SERVER['REQUEST_METHOD']) == 'post' && !empty($_POST))
{	
	//existing folder on the server for files storing with write access
	$uploaddir = dirname($_SERVER['SCRIPT_FILENAME'])."/UploadedFiles/";
	
	// define encoding for path names
	$codepage = "ISO-8859-1";
	
	//check file existence in the request
	if ( !empty($_FILES) )
	{	
		
		$file = $_FILES["Filedata"];
		
		//check on upload errors
		if ( $file['error'] != UPLOAD_ERR_OK )
		{
			switch( $file['error'] )
			{
				case UPLOAD_ERR_INI_SIZE:
					echo "<eaferror>The uploaded file exceeds the upload_max_filesize directive in php.ini.</eaferror>";
					break;
				case UPLOAD_ERR_FORM_SIZE:
					echo "<eaferror>Uploader didn't allow such file size</eaferror>";
					break;
				case UPLOAD_ERR_PARTIAL:
					echo "<eaferror>Uploaded file hasn't been complete uploaded</eaferror>";
					break;
				case UPLOAD_ERR_NO_FILE:
					echo "<eaferror>File hasn't been uploaded</eaferror>";
					break;
			}
			
			return;
		}
		
		//Use this code if the existing files might be rewritten.
		//$uploadfile = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
	
		//define a full file path
		if (extension_loaded('mbstring'))
			$fileName = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
		else if (extension_loaded('iconv'))
			$fileName = $uploaddir . iconv("UTF-8", $codepage, basename($file['name']));
		else
		{
			echo "<eaferror>Please enable mbstring extension or iconv extension in your php.ini file.</eaferror>";	
		}
		
		// check on duplicate file names and if there is a file with the same name add "_(<counter>)" at the end of the name of the new file
		$uniqueFileName = $fileName;
		for($k = 1; $k < 50; $k++)
		{
			if(!file_exists($uniqueFileName))
			{
				break;
			}
			else
			{
				$pathInfo = pathinfo($fileName);
				$uniqueFileName = sprintf("%s/%s_(%s).%s", $pathInfo['dirname'], $pathInfo['filename'], $k, $pathInfo['extension']);
			}
	
		}
		
		//move uploaded file from temp location		
		if ( move_uploaded_file( $file['tmp_name'], $uniqueFileName ) )
		{
			echo "thumbUrl=" . dirname($_SERVER['PHP_SELF']) . "/UploadedFiles/" . basename($uniqueFileName);			
		}
		else
		{
			echo "<eaferror>Can't move file from temporary directory to destination. Please check read/write permissions of destination folder: $uploaddir.</eaferror>";
		}
		
	}
	else
	{
		echo "<eaferror>Request didn't contain the file. Usually this situation occures if request size exceeds the post_max_size directive in php.ini.</eaferror>";
	}
	
	exit;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Resize multiple images on the client-side and uploading them to the server.</title>
<link rel="stylesheet" href="style.css" />
<style type="text/css">

#thumbContainer
{
	overflow: auto;
	width: 305px;
	height: 405px;
	border: 1px solid #cccccc;
}

.thumbImage
{
	border: none;
}

.thumbImageCont
{
	width: 120px; 
	border: none;	
	margin-left: 3px;
	margin-bottom: 3px;
	text-align: center;
}

</style>

<script type="text/javascript">
function EAFlashUpload_onMovieLoad(errors)
{		
	if(errors != "")
		alert(errors);	
}


function EAFlashUpload_onFileLoadEnd(fileObj)
{
	var imageObj;
	var uniqueId;
	
	imageObj = EAFlashUpload.urlVarsToObject(fileObj.serverResponse);
	uniqueId = (new Date()).getTime();
	addImageToContainer(uniqueId, imageObj.thumbUrl);	
}

function EAFlashUpload_onSystemError(msg)
{		
	alert(msg);				
}

function EAFlashUpload_onUploadError(errorObj)
{
	alert(errorObj.message);
}

// --- Image displaying --- //
function addImageToContainer(thumbId, thumbUrl)
{
	var imageContainer = document.getElementById("thumbContainer");
	var image = document.getElementById("imageTemplate");	
	image = image.cloneNode(image);
	var divImage = document.getElementById("imageContTemplate");
	divImage = divImage.cloneNode(divImage);
	
	image.setAttribute("id", thumbId);
	image.setAttribute("src", thumbUrl);	
	divImage.setAttribute("id", "div" + thumbId);
	
	divImage.appendChild(image);
	imageContainer.appendChild(divImage);
	
	divImage.style.display = "inline";
	image.style.display = "inline";
	
}

function clearList()
{
	var imageContainer = document.getElementById("thumbContainer");
	imageContainer.innerHTML = "";
}
// --- Image displaying --- //
</script>
</head>
<body>
<p>
The EAFlashUpload provides a possibility to resize image on client-side. The component allows to upload as resized images only as resized and original images.
<br />
The following settings are predefined for current example:
<ul>
	<li>The size of preview image 160x160(scaling is applied automatically)</li>
	<li>The size for image resizing 300x300(scaling is applied automatically)</li>
	<li>Resized images are uploaded to the server</li>
</ul>
</p>
<div style="border: 1px solid #000000; padding: 10px;">
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<br /><br />

<table>
	<tr>
		<td>
			<div id="EAFlashUpload_holder">
            	You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
			</div>
		</td>
		<td style="padding-left: 40px; vertical-align: top;">
			Resized images container:<br />
			<div id="thumbContainer"></div>
			<a href="javascript:clearList();">Clear list</a>
			<!-- image placeholder template -->
			<div class="thumbImageCont" style="display:none;" id="imageContTemplate"></div>						
			<img class="thumbImage" style="display:none;" id="imageTemplate" src="" />
			<!-- image placeholder template -->
		</td>
	</tr>
</table>

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
	var params = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	// id and name attribute may contain any value. 
	// You need to use specified below identifier to access to the EAFlashUpload methods and properties.
	var attributes = {  
		id: "EAFlashUpload",  
		name: "EAFlashUpload"								
	};
	
	var flashvars = new Object();

	flashvars["uploader.uploadUrl"] = "resizedimagesupload.php"; //Note: & symbol should be encoded to %26 for query string values. Ex: http://www.somesite.com/uploader.aspx?field1=value1%26field2=value2
	flashvars["viewFile"] = "EAFUpload/ImageView.swf";
	
	// Define rules for images upload. Only original images will be uploaded.
	flashvars["uploader.uploadResizedImages"] = true;
	flashvars["uploader.uploadOriginalImages"] = false;
	flashvars["uploader.resizedImageMaxWidth"] = 300;
	flashvars["uploader.resizedImageMaxHeight"] = 300;	
	
	flashvars["view.imagesList.cellStyle.maxImageWidth"] = 160;
	flashvars["view.imagesList.cellStyle.maxImageHeight"] = 160;
	
	flashvars["view.imagesList.rowCount"] = 2;
	flashvars["view.imagesList.columnCount"] = 3;
	
	
	// Disable description label
	flashvars["view.imagesList.cellStyle.enableDescription"] = false;

	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "EAFlashUpload_holder", "498", "546", "10.0.0", "EAFUpload/expressInstall.swf", flashvars, params, attributes);	
	
	// Handles EAFlashUpload's onMovieLoad event and displays existing loading errors.
	function EAFlashUpload_onMovieLoad(errors)
	{		
		if(errors != "")
			alert(errors);	
	}
	
	function EAFlashUpload_onImageViewResize(width, height)
	{		
		EAFlashUpload.style.width = width;
		EAFlashUpload.style.height = height;
	}
</script>

<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=ResizedImagesUploadPHP">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="index.php">Other examples</a>				

</body>
</html>