<?PHP
if(isset($_SERVER['REQUEST_METHOD']) && strtolower($_SERVER['REQUEST_METHOD']) == 'post' && !empty($_POST))
{	
	//restore session code begin. if you don't use session or cookie just ignor below code section.
	if( isset($_POST['browser_cookie']) && $_POST['browser_cookie'] != "")
	{
		//retrive cookie from form field value. The EAFlashUpload sends the cookie as a value of form field due to Flash API limitations.
		$cookie = split(";", $_POST['browser_cookie']);
		
		foreach($cookie as $value)
		{
			$nvpair = split("=", $value);	
			$parsedcookie[trim($nvpair[0])] = $nvpair[1];
		}
		$_COOKIE = $parsedcookie;
		
		session_start();	
	}
	//restore session code end
	//!!! If you don't use session or cookie then delete above code. !!!//
	
	//check file existence in the request
	if ( !empty($_FILES) )
	{
		//existing folder on the server for files storing with write access
		$uploaddir = dirname($_SERVER['SCRIPT_FILENAME'])."/UploadedFiles/";
		
		// define encoding for path names
		$codepage = "ISO-8859-1";	
	
		$file = $_FILES["Filedata"];
		
		//check on upload errors
		if ( $file['error'] != UPLOAD_ERR_OK )
		{
			switch( $file['error'] )
			{
				case UPLOAD_ERR_INI_SIZE:
					echo "<eaferror>The uploaded file exceeds the upload_max_filesize directive in php.ini.</eaferror>";
					break;
				case UPLOAD_ERR_FORM_SIZE:
					echo "<eaferror>Uploader didn't allow such file size</eaferror>";
					break;
				case UPLOAD_ERR_PARTIAL:
					echo "<eaferror>Uploaded file hasn't been complete uploaded</eaferror>";
					break;
				case UPLOAD_ERR_NO_FILE:
					echo "<eaferror>File hasn't been uploaded</eaferror>";
					break;
			}
			
			return;
		}
		
		//Use this code if the existing files might be rewritten.
		//$uploadfile = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
	
		//define a full file path
		if (extension_loaded('mbstring'))
			$fileName = $uploaddir . mb_convert_encoding( basename($file['name']), $codepage , 'UTF-8' );
		else if (extension_loaded('iconv'))
			$fileName = $uploaddir . iconv("UTF-8", $codepage, basename($file['name']));
		else
		{
			echo "<eaferror>Please enable mbstring extension or iconv extension in your php.ini file.</eaferror>";	
		}
		
		// check on duplicate file names and if there is a file with the same name add "_(<counter>)" at the end of the name of the new file
		$uniqueFileName = $fileName;
		for($k = 1; $k < 50; $k++)
		{
			if(!file_exists($uniqueFileName))
			{
				break;
			}
			else
			{
				$pathInfo = pathinfo($fileName);
				$uniqueFileName = sprintf("%s/%s_(%s).%s", $pathInfo['dirname'], $pathInfo['filename'], $k, $pathInfo['extension']);
			}
	
		}
		
		//move uploaded file from temp location		
		if ( move_uploaded_file( $file['tmp_name'], $uniqueFileName ) )
		{
			echo "File " . basename($uniqueFileName) . " has been uploaded!";
						
			// retrive form values
			if( isset($_POST['file_Description']) )
			{
				echo "<br />";
				echo "Description: " . $_POST['file_Description'];
			}
			
			if( isset($_POST['menu']) )
			{
				echo "<br />";
				echo "Some menu: " . $_POST['menu'];
			}
			
			if( isset($_POST['author']) )
			{
				echo "<br />";
				echo "Author: " . $_POST['author'] . "<br />";
			}
			
			if (isset($_POST['file_Skin']))
			{
				echo "Skin: " . $_POST["file_Skin"] . "<br />";
			}
			
			if (isset($_POST['file_Share']))
			{
				echo "Share: " . (($_POST["file_Share"] == "true")?"public":"private") . "<br />";
			}
					
			if (isset($_POST['file_Cover']) && $_POST['file_Cover'] == "on")
			{
				echo "Was chosen as cover of album";
			}		
			
			echo "<hr />";
		}
		else
		{
			echo "<eaferror>Can't move file from temporary directory to destination. Please check read/write permissions of destination folder: $uploaddir.</eaferror>";
		}
		
	}
	else
	{
		echo "<eaferror>Request didn't contain the file. Usually this situation occures if request size exceeds the post_max_size directive in php.ini.</eaferror>";
	}
	
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Upload multiple files with custom user's actions.</title>
<link rel="stylesheet" href="style.css" />
<style type="text/css">
#responseContainer
{
	overflow: auto;
	width: 390px;
	height: 250px;
	border: 1px solid #cccccc;
}
</style>
<script type="text/javascript">
// Handles EAFlashUpload's onMovieLoad event and displays existing loading errors.
	function EAFlashUpload_onMovieLoad(errors)
	{		
		if(errors != "")
			alert(errors);	
	}	
	
	function EAFlashUpload_onUploadStart()
	{
		//here you can place various validations
		
		// author's name validation
		if(document.Form1.author.value == "")
		{
			alert("You have not specified an author's name.");
			EAFlashUpload.cancelUpload();
			return;
		}
		
		// descriptions validation
		var propertyObject = new Object();
    	propertyObject.name = "Description";    
	    propertyObject.isPublic = true;
	    var files = EAFlashUpload.getFiles();
		
		for(var i = 0; i < files.length; i++)
		{
			propertyObject.fileId = files[i].id;	    
	    	propertyObject = EAFlashUpload.getCustomProperty(propertyObject);
			
			if (propertyObject.value == "") 
			{
				alert("Please define a description for file: " + files[i].name);
				EAFlashUpload.cancelUpload();
				return;
			}
			
		}
								
	}
	
	function EAFlashUpload_onFileLoadEnd(fileObj)
	{
		var htmlCode = fileObj.serverResponse;	
		var rContainer = document.getElementById("responseContainer");
		
		rContainer.innerHTML += htmlCode;
	}
		
	function clearList()
	{
		var rContainer = document.getElementById("responseContainer");
		rContainer.innerHTML = "";
	}
</script>
</head>
<body>
<p>
This example demonstrates how to add custom properties for files, display them as a custom columns and send they values to the server. "Description", "Share", "Cover" custom properties are defined for demonstration purpose. Actually names can be any.
<br />
The cells of custom column may act as a simple edit box, a checkbox or as a radio button. Read more about custom columns in the documentation.
<br />
The example contains one limitiation. Keep in mind that it is limitations of this example, not of EAFlashUpload itself:
	<ul>
		<li>Only image files are allowed for selection;</li>
	</ul>
</p>
<div style="border: 1px solid #000000; padding: 10px;">
<b>Note:</b> Trial version has two limitiations: maximum files count is 10 and size of each file cannot be larger than 50 MB.
</div>

<br /><br />
<form name="Form1" >
<table>
	<tr>
		<td colspan="2">
			Some menu:&nbsp;
            <select name="menu" style="width: 100px;">
              <option value="item1" selected="selected">Item 1</option>
              <option value="item2">Item 2</option>
              <option value="item3">Item 3</option>
              <option value="item4">Item 4</option>
            </select>
            &nbsp;&nbsp;&nbsp;
            Author:&nbsp;
            <input type="text" name="author" value="" />
            
            <p>
            You can use Request.Form["field name"] object for ASP.NET or $_REQUEST["field name"] for PHP to retrieve values on the server side.
            </p>
			<br />
		</td>
	</tr>
	<tr>		
		<td>
			<div id="EAFlashUpload_holder">
            	You need at least Adobe Flash Player 10 for successful work. Download the latest version from here:
                <br />
                <a href="http://www.adobe.com/support/flashplayer/downloads.html">Adobe Flash Player</a>
			</div>
		</td>
		<td style="padding-left: 40px; vertical-align: top;">
			Server response:<br />
			<div id="responseContainer"></div>
			<a href="javascript:clearList();">Clear list</a>			
		</td>
	</tr>
</table>
</form>

<!-- Embedding the EAFlashUpload control -->
<script type="text/javascript" src="EAFUpload/swfobject.js"></script>
<script type="text/javascript">
	var params = {  
		BGcolor: "#ffffff",
		wmode: "window"
	};
	
	// id and name attribute may contain any value. 
	// You need to use specified below identifier to access to the EAFlashUpload methods and properties.
	var attributes = {  
		id: "EAFlashUpload",  
		name: "EAFlashUpload"								
	};
	
	var flashvars = new Object();

	// In IE and non-IE browsers Flash resolve relative path differently if page with EAFlashUpload is placed in a different directory than swf files. 
	// If you place EAFlashUpload files and container page in the same directory then the problem doesn't appear.
	// Below code detects non-IE browsers and changes url of upload script.
	var uploadUrl = "uploadwithcustomcolumns.php"; //Note: & symbol should be encoded to %26 for query string values. Ex: http://www.somesite.com/uploader.aspx?field1=value1%26field2=value2
	if (!document.all) {
	    uploadUrl = "../" + uploadUrl;
	}
	flashvars["uploader.uploadUrl"] = uploadUrl;
	flashvars["viewFile"] = "EAFUpload/TableView.swf";
	
	flashvars["queue.allowedExtensions"] = "Images (*.jpg, *.gif, *.png):*.jpg;*.gif;*.png";
	
	// Specify form name for parsing
	flashvars["uploader.formToSend"] = "Form1";
		
	// hide size column and change file name pattern for displaying size	
	flashvars["queue.fileNamePattern"] 				= "#FILE_NAME# (#FILE_SIZE#)";	
	flashvars["view.filesList.sizeColumn.visible"]  = false;
	flashvars["view.filesList.nameColumn.width"] 	= 250;
	flashvars["view.filesList.statusColumn.width"]  = 50;
	
	// define custom file property
	flashvars["customFileProperties.public"] = "Description:put a description|Skin:1|Share:true|Cover:on";
	
	// set data source for custom columns
	flashvars["view.filesList.customColumn.propertyNameDataSource"]  = "Description";
	flashvars["view.filesList.customColumn.visible"] 				 = true;

	flashvars["view.filesList.customColumn1.propertyNameDataSource"] = "Skin";
	flashvars["view.filesList.customColumn1.type"]                   = "ddlist";
	flashvars["view.filesList.customColumn1.visible"]                = true;
	flashvars["view.filesList.customColumn1.editable"]               = false;
	flashvars["view.filesList.customColumn1.labels"]                 = "skin1|skin2|skin3|skin4|skin5";
	flashvars["view.filesList.customColumn1.values"]                 = "1|2|3|4|5";
	flashvars["view.filesList.customColumn1.width"]                  = 75;

	flashvars["view.filesList.customColumn2.propertyNameDataSource"] = "Share";
	flashvars["view.filesList.customColumn2.visible"]                = true;
	flashvars["view.filesList.customColumn2.type"]                   = "checkbox";
	flashvars["view.filesList.customColumn2.values"]                 = "true|false";
	flashvars["view.filesList.customColumn2.labels"]                 = "public";
	flashvars["view.filesList.customColumn2.width"]                  = 70;

	flashvars["view.filesList.customColumn3.propertyNameDataSource"] = "Cover";
	flashvars["view.filesList.customColumn3.visible"] = true;
	flashvars["view.filesList.customColumn3.type"] = "radio";
	flashvars["view.filesList.customColumn3.labels"] = "yes|no";
	flashvars["view.filesList.customColumn3.values"] = "on|off";
	flashvars["view.filesList.customColumn3.width"] = 60;

	swfobject.embedSWF("EAFUpload/EAFUpload.swf", "EAFlashUpload_holder", "650", "350", "10.0.0", "EAFUpload/expressInstall.swf", flashvars, params, attributes);	
	
</script>

<br />
<hr />
<div style="padding: 10px; font-weight: bold;">
Note: If you have questions regarding this example please let us know <a href="mailto:support%40easyalgo.com?Subject=UploadWithCustomColumnsPHP">support@easyalgo.com</a>. Any assistance is provided for free.
</div>
<a href="index.php">Other examples</a>			

</body>
</html>